#include "ti86asm.inc"
#include "asm86.h"
_asm_reg_af     equ     0D624h
_asm_reg_bc     equ     0D628h
_asm_reg_a      equ     0D625h
_asm_reg_c      equ     0D628h
_asm_reg_b      equ     0D629h
_asm_reg_hl     equ     0D626h
_asm_reg_l      equ     0D626h
_asm_reg_de     equ     0D62Ah
_asm_reg_h      equ     0D627h
_asm_reg_e      equ     0D62Ah
_asm_reg_d      equ     0D62Bh

.org _asm_exec_ram

	nop
	jp ProgStart
	.dw 0
	.dw ShellTitle


ShellTitle:
	.db "Plays We Will Rock You",0

ProgStart:
	call _clrScrn
	call _homeup
	ld hl,Text
	ld a,2
	ld (_curRow),a
	ld a,3
	ld (_curCol),a
	call _puts
	ld a,50
	ld (_penRow),a
	ld a ,15
	ld (_penCol),a
	call _vputs
	ld hl,(_asm_reg_af)
	push hl
	pop af
TapPlay1:
	ld hl,Tap1
    call _mov10toop1
    call _findsym
    jp c,TapPlay2
	ld a,1
    call _exec_assembly
	ld hl,(_asm_reg_af)
	push hl
	pop af
TapPlay2:
	ld hl,Tap2
    call _mov10toop1
    call _findsym
    jp c,TapPlay3
    ld a,1
    call _exec_assembly
	ld hl,(_asm_reg_af)
	push hl
	pop af
TapPlay3:
	ld hl,Tap3
    call _mov10toop1
    call _findsym
    jp c,TapPlay4
    ld a,1
    call _exec_assembly
	ld hl,(_asm_reg_af)
	push hl
	pop af
TapPlay4:
	ld hl,Tap4
    call _mov10toop1
    call _findsym
    jp c,TapPlay5
    ld a,1
    call _exec_assembly
	ld hl,(_asm_reg_af)
	push hl
	pop af
TapPlay5:
	ld hl,Tap5
    call _mov10toop1
    call _findsym
    jp c,TapPlay6
    ld a,1
    call _exec_assembly
	ld hl,(_asm_reg_af)
	push hl
	pop af
TapPlay6:
	ld hl,Tap6
    call _mov10toop1
    call _findsym
    jp c,TapPlay7
    ld a,1
    call _exec_assembly
	ld hl,(_asm_reg_af)
	push hl
	pop af
TapPlay7:
	ld hl,Tap7
    call _mov10toop1
    call _findsym
    jp c,Ending
    ld a,1
    call _exec_assembly
	ld hl,(_asm_reg_af)
	push hl
	pop af
Ending:
	call _clrScrn
	ld a,29
	ld (_penRow),a
	ld a,25
	ld (_penCol),a
	ld hl,Text2
	call _vputs
	call _getkey
	call _clrScrn
	call _homeup
	ret

Tap1:
 .db $12,5,"wwry1",0,0,0

Tap2:
 .db $12,5,"wwry2",0,0,0

Tap3:
 .db $12,5,"wwry3",0,0,0

Tap4:
 .db $12,5,"wwry4",0,0,0

Tap5:
 .db $12,5,"wwry5",0,0,0

Tap6:
 .db $12,5,"wwry6",0,0,0

Tap7:
 .db $12,5,"wwry7",0,0,0

Text:
	.db "We Will Rock You",0
	.db "Converted By William White",0

Text2:
	.db "Thanks for Listening!!!",0

.end
.end
